<?xml version="1.0"?>

<queryset>
    <fullquery name="used_feeds">
        <querytext>
            select aggregator_id,
                   aggregator_name
            from na_aggregators a, mashups_feeds m
            where a.aggregator_id = m.feed_id
            and   a.aggregator_name = m.feed_name
            order by a.aggregator_name
        </querytext>
    </fullquery>

    <fullquery name="all_na_feeds">
          <querytext>
          select a.aggregator_id,
                 a.aggregator_name,
                 a.public_p,
                 acs_permission__permission_p(a.aggregator_id,:user_id,'write') as write_p
           from  na_aggregators a
           where a.package_id = :na_package_id
           and  a.aggregator_id not in (select feed_id as aggregator_id_exists                 
                                          from mashups_feeds)
           and acs_permission__permission_p(a.aggregator_id,:user_id,'read')             
           order by a.aggregator_name
          </querytext>
    </fullquery>

</queryset>

