<!-- -*- sgml -*- -->
<master>
<property name="title">OpenACS Community Activities</property>
<property name="header_stuff">@header_stuff;noquote@ @ah_sources;noquote@</property>

<script language="javascript">
//Global array of portlets:

var portletArray = [@portlet_array;noquote@];
var portletNames = [@portlet_names_array;noquote@];
var feedsArray   = [@feeds_array;noquote@];
var simplePArray = [@simple_portlet_array;noquote@];
var simplePNames = [@simple_portlet_names;noquote@];
var simplePIds   = [@simple_portlet_id;noquote@];
var staticPArray = [@static_portlet;noquote@];
var staticPNames = [@static_names;noquote@];
var staticPIds   = [@static_ids;noquote@];
@function_scripts;noquote@

function displayMissingPortlets () {

  var missingPortlets = "";
  var simplePortlets = "";
  var staticPortlets = "";
  var aux = "";
  var aux2 = "";
  var aux3 = "";
  var divID = "";

  Effect.SlideDown('addPortlet');
  counter = 0;
  for (i=0;i<portletArray.length;i++) {         
      if (Element.getStyle(document.getElementById(portletArray[i]), 'display') == "none"  ) {
          aux = "<li><a href=\"#\" onClick=\"appearPortlet("+i+","+counter+")\;return false\;\">"+portletNames[i]+"</a></li>"   
          missingPortlets = missingPortlets + "\n" + aux;
          counter++;
      }
  }

  counter = 0;
  for (j=0;j<simplePArray.length;j++) {
      if (Element.getStyle(document.getElementById(simplePArray[j]), 'display') == "none") {
        aux2 = "<li><a href=\"#\" onClick=\"appearSimplePortlet("+j+","+counter+")\;return false\;\">"+simplePNames[j]+"</a></li>"
        simplePortlets = simplePortlets + "\n" + aux2;
      }

  }
  
  counter = 0;
  for (j=0;j<staticPArray.length;j++) {
      if (Element.getStyle(document.getElementById(staticPArray[j]), 'display') == "none") {
        aux3 = "<li><a href=\"#\" onClick=\"appearStaticPortlet("+j+","+counter+")\;return false\;\">"+staticPNames[j]+"</a></li>"
        staticPortlets = staticPortlets + "\n" + aux3;
      }

  }
  
  document.getElementById('display-missing-portlets').innerHTML = missingPortlets;
  document.getElementById('display-missing-simple-portlets').innerHTML = simplePortlets;
  document.getElementById('display-missing-static-portlets').innerHTML = staticPortlets;
 
}

function appearPortlet(index,counter) {   
   var id = feedsArray[index];
   var name = portletNames[index];
   var num = 1;   
   if (portletArray[index] == "portlet_4" || portletArray[index] == "portlet_5") {
        num = 2;   
   }     
   portletNode = document.getElementById(portletArray[index]);
   //parentPortlet = portletNode.parentNode;
   //parentPortlet.removeChild(portletNode);
   //addPortlet(id, name, num);
   new Effect.Appear(portletNode);   
   var parentNode = document.getElementById('display-missing-portlets');
   parentNode.removeChild(parentNode.getElementsByTagName('li').item(counter));
   //Element.setStyle(portletArray[index], {display:'inline'});
   Effect.SlideUp('addPortlet');
   
}

function appearSimplePortlet(index, counter) {
   var id   = simplePIds[index];
   var name = simplePNames[index];
   var num  = @screen_rownum;noquote@;
   //addSimplePortlet(id, name, num);
   portletNode = document.getElementById(simplePArray[index]);
   new Effect.Grow(portletNode);
   var parentNode = document.getElementById('display-missing-simple-portlets');
   parentNode.removeChild(parentNode.getElementsByTagName('li').item(counter));
   Effect.SlideUp('addPortlet');
   
}

function appearStaticPortlet(index, counter) {
  var num = 5;
  var col = 2;
  if (index == 0 ) {
    num = 4;
    col = 1;
  }
  var id = staticPIds[index];
  var name = staticPNames[index];
  //addStaticPortlet(id, name, num, col);
  portletNode = document.getElementById(staticPArray[index]);
  new Effect.Grow(portletNode);
  var parentNode = document.getElementById('display-missing-static-portlets');
  parentNode.removeChild(parentNode.getElementsByTagName('li').item(counter));
  Effect.SlideUp('addPortlet');
}

function updateFeeds(containerID, feedID) {  
   containerID.innerHTML = "Loading ...";
   new Ajax.Updater(containerID, "update-feeds?aggregator_id="+feedID, {asynchronous:true, evalScripts:true});
}

function toggleContent (containerID, divID, symbolID) {

  var containerID = document.getElementById(containerID);
  var divID = document.getElementById(divID);
  var toggleSymbol = document.getElementById('toggleSymbol'+symbolID);
  
  if (Element.getStyle(divID, 'display') == "none" ) {

      toggleSymbol.innerHTML = '-';
      Effect.BlindDown(divID);
  }
  else {
      toggleSymbol.innerHTML = '+';
      Effect.BlindUp(divID);
  }
 

} 

function toggleLinkContent (divID) {  
  
  var divID = document.getElementById(divID);  
  if (Element.getStyle(divID, 'display') == "none" ) { 
            Effect.Grow(divID); 
  }
  else { 
            Effect.Shrink(divID); 
  } 

}

function toggleLinkContentFold (divID) {  
  
  var divID = document.getElementById(divID);  
  if (Element.getStyle(divID, 'display') == "none" ) { 
            Effect.Grow(divID); 
  }
  else { 
            Effect.Fold(divID); 
  } 

} 

function toggleAddContent(divID, symbolID, simple_p) {
  divID    = document.getElementById(divID);
  symbolID = document.getElementById(symbolID);
  
  if (simple_p == "t") {
     text = "Simple Portlets";
  }
  else {
     text = "Feed Portlets";

  }
  if (Element.getStyle(divID, 'display') == "none" ) {
       Effect.Appear(divID);
       symbolID.innerHTML = "v &nbsp\;&nbsp\;"+text;
  }
  else {
       Effect.Fade(divID);
       symbolID.innerHTML = "> &nbsp\;&nbsp\;" +text;
  }
}

function showMoreContent() {
   Effect.Appear(document.getElementById('hidden-links'));
   Effect.Appear(document.getElementById('hide-link'));
   Effect.Shrink(document.getElementById('show-link'));
}

function hideContent() {
   Effect.Fade(document.getElementById('hidden-links'));      
   Effect.Fade(document.getElementById('hide-link'));
   Effect.Grow(document.getElementById('show-link'));
}


function initPage () {
	resetSortables();               
        @portlet_update;noquote@
}

function resetSortables () { 
  //var numberOfColumns = @get_aggregators:rowcount@;  
  var numberOfColumns = 3;
  var contaimentArray = new Array(numberOfColumns);
  pos = 0;
  for (i=1; i<=numberOfColumns; i++) {
     columnNumber = 'column'+i;
     Sortable.destroy(columnNumber);
     contaimentArray[pos] = columnNumber;
     pos++; 
  }

  
  for (j=1; j<=numberOfColumns; j++) {
     columnNumber = 'column'+j;
     Sortable.create(columnNumber, {dropOnEmpty:true,
						hoverclass:'dropHover',
						handle:'portlet-title',
						tag:'div',only:'portlet',
						overlap:'horizontal',
						containment:contaimentArray,
						constraint:false,ghosting:false,floating:false,
						onUpdate:function(sortable){ 
						// this code is executed when the sort order of elements has been updated
						// new Ajax.Request('/mashup/xmlhttp/sort-portlets',{asynchronous:true,method:'post',parameters:Sortable.serialize(sortable)});  
								}}); 

  }
	
								
}

function resetSortablesAfterDelete (id) {   
  var numberOfColumns = 3; 
  var contaimentArray = new Array(numberOfColumns);
  pos = 0;
  for (i=1; i<=numberOfColumns; i++) {  
     columnNumber = 'column'+i;
     Sortable.destroy(columnNumber);
     contaimentArray[pos] = columnNumber;
     pos++; 
  }

  
  for (j=1; j<=numberOfColumns; j++) {
     columnNumber = 'column'+j;
     Sortable.create(columnNumber, {dropOnEmpty:true,
						hoverclass:'dropHover',
						handle:'portlet-title',
						tag:'div',only:'portlet',
						overlap:'horizontal',
						containment:contaimentArray,
						constraint:false,ghosting:false,floating:false,
						onUpdate:function(sortable){ 
						// this code is executed when the sort order of elements has been updated
						// new Ajax.Request('/mashup/xmlhttp/sort-portlets',{asynchronous:true,method:'post',parameters:Sortable.serialize(sortable)});  
								}}); 

  }
	
								
}


				
YAHOO.util.Event.addListener(window,"load",function() { initPage(); });

</script>
<div id="pageTitle"><div id="titlecontent"><h2>OpenACS Community Activities</h2></div></div>

<if @is_swa_p@ eq "1">
   <div style="align:right;"><a href="admin/">Administer</a></div>
</if>

<br>
<div id="addsources">
  <div class="button-Add"><a href="javascript:void(0);"  onClick="displayMissingPortlets(); return false;">Add Portlet</a></div>
  <div class="portlet" style="z-index: 0; left: 0px; top: 0px; opacity: 0.999999;">      
      <div id="addPortlet" style="display:none;">
          <table class="portlet-add" width="15%" border="0" cellpadding="0" cellspacing="0">
             <tbody>
                 <tr>
                    <td align="right" width="5"><img src="resources/images/cornL.gif" alt=""/></td>
                    <td><div class="portlet-add-title">Add Portlets</div></td>
                    <td align=right><a href="#" onClick="Effect.SlideUp('addPortlet'); return false">x</a></td>
                    <td align="right" width="5"><img src="resources/images/cornR.gif" alt="" /></td>                   
                 </tr>
             </tbody>                              
          </table>
          <div class="portlet-add-content">
                <div class="sideL">
                <div class="sideR"> 
                              <table border="0" cellpadding="0" cellspacing="0">
                                   <tr><td>&nbsp;</td></tr>
                                   <tr>
                                      <td>
                                          <div class="portlet-add-content-subtitle">
                                           <a href="#" onClick="Effect.toggle('feed-portlets'); return false;">Feeds Portlets </a>
                                          </div>
                                      </td>
                                   </tr>
                                   <tr></tr>
                                   <tr>  
                                       
                                       <table border="0" cellpadding="0" cellspacing="0">
                                          <tr><td width="6" height="2">&nbsp;</td></tr>                                          
                                          <tr>
                                            <td width="6">&nbsp;</td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <!--<td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>-->                                            
                                          </tr>
                                       </table>  
                                       
                                   </tr>
                                   <div id="feed-portlets" style="display:inline-block;">
                                     <tr>
                                        <td>
                                          <div class="portlet-add-content-title">
                                             <div id="display-missing-portlets"></div>
                                          </div>
                                        </td>
                                     </tr>
                                  </div>
                                  <tr><td>&nbsp;<br></td></tr>
                                  <tr><td>&nbsp;<br></td></tr>
                                  <tr>
                                 
                                     <td>
                                          <div class="portlet-add-content-subtitle">                                         
                                               <a href="#" onClick="Effect.toggle('simple-portlets'); return false;">Simple Portlets</a>                           
                                          </div>
                                     </td>
                                  </tr>
                                  <tr></tr>                                  
                                   <tr>                                         
                                       <table border="0" cellpadding="0" cellspacing="0">
                                          <tr><td width="6" height="2">&nbsp;</td></tr>                                          
                                          <tr>
                                            <td width="6">&nbsp;</td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <!--<td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>-->                                            
                                          </tr>
                                       </table>  
                                       
                                   </tr>
                                 <div id="simple-portlets" style="display:inline-block;">
                                  <tr>
                                      <td>
                                          <div class="portlet-add-content-title">                                            
                                              <div id="display-missing-simple-portlets"></div>                                             
                                          </div>
                                      </td>                                       
                                  </tr>
                                </div>
                                <tr><td>&nbsp;<br></td></tr>
                                  <tr><td>&nbsp;<br></td></tr>
                                  <tr>
                                 
                                     <td>
                                          <div class="portlet-add-content-subtitle">                                         
                                               <a href="#" onClick="Effect.toggle('static-portlets'); return false;">Static Portlets</a>                           
                                          </div>
                                     </td>
                                  </tr>
                                  <tr></tr>                                  
                                   <tr>                                         
                                       <table border="0" cellpadding="0" cellspacing="0">
                                          <tr><td width="6" height="2">&nbsp;</td></tr>                                          
                                          <tr>
                                            <td width="6">&nbsp;</td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <!--<td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>
                                            <td><div class="portlet-add-content-line">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></td>-->                                            
                                          </tr>
                                       </table>  
                                       
                                   </tr>
                                 <div id="static-portlets" style="display:inline-block;">
                                  <tr>
                                      <td>
                                          <div class="portlet-add-content-title">                                            
                                              <div id="display-missing-static-portlets"></div>                                             
                                          </div>
                                      </td>                                       
                                  </tr>
                                </div>
                              </table>
                 <div class="footercont">
                 <div class="footleft"><div class="footright"></div></div>                                                   
           </div>
           </div>

           </div>
                  
      </div>
  </div>
</div>
<div id="portalpage">  

  <div id="column1" class="column">
         <multiple name="get_aggregators" maxrows="3"> 
               <include src="portlets/feed-portlet/feed-portlet"
                        rownum="@get_aggregators.rownum@"
                        aggregator_id="@get_aggregators.aggregator_id@"
                        aggregator_name="@get_aggregators.aggregator_name@"
                        portlet_name=@get_aggregators.portlet_name@>

         </multiple>
  </div>
  <div id="column2" class="column">
         <multiple name="simple_portlets">
              <include src="portlets/viaro-portlet/portlet"
                       id="@simple_portlets.portlet_id@"
                       rownum="@screen_rownum@"
                       title="@simple_portlets.portlet_name@">
         </multiple>
          
         <multiple name="get_aggregators" startrow="3"> 
               <include src="portlets/feed-portlet/feed-portlet"
                        rownum="@get_aggregators.rownum@"
                        aggregator_id="@get_aggregators.aggregator_id@"
                        aggregator_name="@get_aggregators.aggregator_name@"
                        portlet_name=@get_aggregators.portlet_name@>

         </multiple>


  </div>
  
       <div id="column3" class="column">
         <if @faq_package_id@ ne "0">
            <include src="portlets/faq-portlet/viaro-portlet" rownum="14" id="345" title="Oacsrocks FAQ">      
         </if>
       </div>
 
        
</div>
