ad_page_contract {
    Portlets for OACSROCKS!.  Contains the following portlets:
    - cvs news
    - openacs news
    -  ... still to add...
    - viaro portlets   
   
@author veronica@viaro.net
   
} {

}



set news_package_id [apm_package_id_from_key "news-aggregator"]
set faq_package_id [apm_package_id_from_key "faq"]

set user_id [ad_conn user_id]

# Javascript Sources

set ah_sources [ah::js_sources]
set function_scripts ""

# Is the user site_wide_admin
set is_swa_p [acs_user::site_wide_admin_p]

set header_stuff "<link rel=\"stylesheet\" href=\"resources/css/rocks-mashups.css\" type=\"text/css\" media=\"screen\" /> "

append ah_sources [ah::yui::js_sources]
append ah_sources [ah::yui::js_sources -source "event"]

#Construct some JS functions

append function_scripts "function addPortlet(id, name, num) \{"
append function_scripts [ah::ajaxrequest -url "add-portlets/add-portlet" \
                                         -pars "'aggregator_id='+id+'&portlet_name='+name+'&rownum='+num" \
			     -options "onSuccess:function(t){colbody = document.getElementById(\"column\"+num); colbody.innerHTML=t.responseText+colbody.innerHTML; new Effect.Appear(colbody.getElementsByTagName(\"div\").item(0)); resetSortables();}"]
append function_scripts "\n\}\n"

append function_scripts "function addSimplePortlet(id, name, num) \{"
append function_scripts [ah::ajaxrequest -url "add-portlets/add-simple-portlet" \
                                         -pars "'id='+id+'&title='+name+'&rownum='+num" \
			     -options "onSuccess:function(t){colbody = document.getElementById(\"column\"+2); colbody.innerHTML=t.responseText+colbody.innerHTML; new Effect.Appear(colbody.getElementsByTagName(\"div\").item(0)); resetSortables();}"]
append function_scripts "\n\}\n"


append function_scripts "function addStaticPortlet(id, name, num, col) \{"
append function_scripts [ah::ajaxrequest -url "add-portlets/add-static-portlet" \
                                         -pars "'id='+id+'&title='+name+'&rownum='+num" \
			     -options "onSuccess:function(t){colbody = document.getElementById(\"column\"+3); colbody.innerHTML=t.responseText+colbody.innerHTML; new Effect.Appear(colbody.getElementsByTagName(\"div\").item(0)); resetSortables();}"]
append function_scripts "\n\}\n"


#Delete function
append function_scripts "function delPortlet(id) \n\{\n"
append function_scripts "confirmDel = confirm(\"Are you sure you want to delete this portlet?\");\n"
append function_scripts "if (confirmDel == true) \{ \n
                           var portlet = document.getElementById('portlet_'+id);
                           var parentNode = portlet.parentNode;\n                           
                           "
append function_scripts [ah::effects -element "portlet" -element_is_var \
			     -effect "Fade" -options "duration:1.0,afterFinish:function(){}"]
#append function_scripts "parentNode.removeChild(portlet);"
append function_scripts "\n \} \n \}"



# Gets all the news aggregators...

#construct the array that contains all the portlets ids
set portlet_update ""
set portlet_array [list]
set portlet_names_array [list]
set feeds_array [list]
set simple_portlet_array [list]
set simple_portlet_names [list]
set simple_portlet_id [list]
set script_body ""
set i 1
#news_aggregator::source::update_all -all_sources 
db_multirow get_aggregators select_aggregators { } {    
    
    set script_body [ah::ajaxperiodical -url "portlets/feed-portlet/update-feeds?" \
                                        -container "portlet-content-$aggregator_id" \
                                        -frequency "3600" \
			               -options "postBody:'aggregator_id=$aggregator_id', method:'post', evalScripts:'true'"]

    append portlet_update "$script_body \n"
    lappend portlet_array "\"portlet_$i\""
    lappend portlet_names_array "\"$portlet_name\""
    lappend feeds_array "\"$aggregator_id\""    
    incr i
}

db_multirow simple_portlets simple_portlets { } {
   lappend simple_portlet_array "\"portlet_$i\""
   lappend simple_portlet_names "\"$portlet_name\""
   lappend simple_portlet_id "\"$portlet_id\""
}

#Include some hard coded portlets into array
set static_portlet [list]
set static_names [list]
set static_ids [list]

# Only add the faq portlet is the package is installed.

if { $faq_package_id != "0" } {
  lappend static_portlet "\"portlet_14\""   
  #lappend static_portlet "\"portlet_5\""
  lappend static_names "\"Oacsrocks FAQ\""
  #lappend static_names "\" File Storage \""
  lappend static_ids "\"345\""
  #lappend static_ids "\"999\""
}


set static_portlet [join $static_portlet ","]
set static_names [join $static_names ","]   
set static_ids [join $static_ids ","]   
####
#Set the portlet array in JS.

set portlet_array [join $portlet_array ","]
set portlet_names_array [join $portlet_names_array ","]
set feeds_array [join $feeds_array ","]
set simple_portlet_array [join $simple_portlet_array ","]
set simple_portlet_names [join $simple_portlet_names ","]
set simple_portlet_id [join $simple_portlet_id ","]
set screen_rownum  $i
set demo_rownum [expr $screen_rownum + 1]


