<?xml version="1.0"?>

<queryset>

    <fullquery name="select_aggregators">
          <querytext>
          select a.aggregator_id, a.aggregator_name,
                 a.public_p,
                 p.portlet_name
           from  na_aggregators a, mashups_feeds m, oacsrocks_mashups_portlets p
           where a.package_id = :news_package_id
             and acs_permission__permission_p(a.aggregator_id,:user_id,'read')
             and a.aggregator_id = m.feed_id
             and m.mashup_id = p.portlet_id
           order by a.aggregator_name desc;
          </querytext>
    </fullquery>
    
   <fullquery name="simple_portlets">
         <querytext>
              select portlet_id, portlet_name, max_lines
              from oacsrocks_mashups_portlets
              where simple_p = 't'
         </querytext>
   </fullquery>


</queryset>
