<?xml version="1.0"?>

<queryset>


    <fullquery name="oacsrocks_mashups::na::update_source.get_source_info">
          <querytext>
            select s.source_id, s.feed_url, s.last_modified
            from   na_sources s, na_subscriptions b
            where  b.aggregator_id =:aggregator_id
            and    s.source_id = b.source_id 
            limit 1           
          </querytext>
    </fullquery>

    <fullquery name="oacsrocks_mashups::add_feed.insert_new_feed">
          <querytext>
            insert into mashups_feeds(feed_id, feed_name, mashup_id)
            values (:feed_id, :feed_name, :mashup_id)
          </querytext>
    </fullquery>

    <fullquery name="oacsrocks_mashups::add_portlet.insert_new_portlet">
          <querytext>
            insert into oacsrocks_mashups_portlets(portlet_id, portlet_name, max_lines, simple_p)
            values (:portlet_id, :portlet_name, :max_lines, 'f')
          </querytext>
    </fullquery>

    <fullquery name="oacsrocks_mashups::edit_portlet.update_portlet">
          <querytext>
            update oacsrocks_mashups_portlets set 
                 portlet_name = :portlet_name, 
                 max_lines = :max_lines
            where portlet_id = :portlet_id
          </querytext>
    </fullquery>

    <fullquery name="oacsrocks_mashups::edit_portlet.get_portlet_info">
          <querytext>
            select portlet_name as exists_name, max_lines as max_lines
            from  oacsrocks_mashups_portlets                 
            where portlet_id = :portlet_id
          </querytext>
    </fullquery>

   <fullquery name="oacsrocks_mashups::delete_portlet.delete_portlet">
          <querytext>
            delete  from  oacsrocks_mashups_portlets                 
            where portlet_id = :portlet_id
          </querytext>
    </fullquery>



</queryset>