<?xml version="1.0"?>

<queryset>

    <fullquery name="oacsrocks_mashups::add_simple_portlet_items.insert_new_item">
          <querytext>
            insert into simple_portlet_headers(portlet_id, item_id, name, image_name)
            values (:portlet_id, :item_id, :name, :image_name)
          </querytext>
    </fullquery>
    
   <fullquery name="oacsrocks_mashups::edit_simple_portlet_items.get_this_item_info">
          <querytext>
            select name as i_name, image_name as i_image 
            from simple_portlet_headers  
            where item_id = :item_id
          </querytext>
    </fullquery>


   <fullquery name="oacsrocks_mashups::edit_simple_portlet_items.edit_item">
          <querytext>
            update simple_portlet_headers set 
                name = :name, image_name = :image_name
            where item_id = :item_id
          </querytext>
    </fullquery>

    <fullquery name="oacsrocks_mashups::delete_simple_portlet_items.delete_item">
          <querytext>
            delete from simple_portlet_headers where item_id = :item_id
          </querytext>
    </fullquery>

   <fullquery name="oacsrocks_mashups::add_simple_portlet_items_links.insert_new_link">
          <querytext>
            insert into simple_portlets(link_id, item_id, scr_link, demo_link)
            values (:link_id, :item_id, :scr_link, :demo_link)
          </querytext>
   </fullquery>

   
   <fullquery name="oacsrocks_mashups::edit_simple_portlet_items_links.edit_link">
          <querytext>
            update simple_portlets set 
                scr_link = :scr_link, demo_link = :demo_link
            where link_id = :link_id
          </querytext>
    </fullquery>

    <fullquery name="oacsrocks_mashups::delete_simple_portlet_items_links.delete_item_link">
          <querytext>
            delete from simple_portlets where link_id = :link_id
          </querytext>
    </fullquery> 
    
</queryset>