ad_page_contract {

} {
  portlet_id
}

template::list::create -name simple_portlet_items -multirow get_items -elements {
    edit {
	label {}
        display_template {
          <a href="edit-items?item_id=@get_items.item_id@&portlet_id=@get_items.portletid@&d_image=@get_items.image_name@">Edit</a>
        }
    }
    name {
	label {Item Name}
        display_col name
    }
    image_name {
        label {Image displaying}
        display_template {
           <img src="../resources/images/display-images/@get_items.image_name@" width="16" height="16" border="0" align="middle">
        }
    }
    scr_links {
	label { Screenshots Links}
        display_template {<div style=\"list-style:none;\">@get_items.scr_links;noquote@</div>}
    }
    demo_links {
	label { Demo Links}
        display_template {<div style=\"list-style:none;\">@get_items.demo_links;noquote@</div>}
    }
    view_links {
	label {}
        display_template {
           <a href="view-links?item_id=@get_items.item_id@&portlet_id=@get_items.portletid@">Admin Links</a>
        }

    }
    delete {
        label {}
        display_template {
           <a href="delete-items?item_id=@get_items.item_id@">Delete</a>
        }
    }
       
}


set demo_list [list]
set scr_list [list]
db_multirow -extend {portletid scr_links demo_links} get_items get_items "select * from simple_portlet_headers
                                                                          where portlet_id = :portlet_id
                                                                          order by name" {

      set demo_list [db_list get_demo "select demo_link from simple_portlets where item_id = :item_id and demo_link <> ''"]
      set scr_list [db_list get_demo "select scr_link from simple_portlets where item_id = :item_id and scr_link <> ''"]
      foreach demo $demo_list {
	  append demo_links "<li><a href=\"$demo\"><font size=-2>$demo</font></a></li>"
      }
      foreach scr $scr_list {
         append scr_links "<li><a href=\"$scr\"><font size=-2>$scr</font></a></li> "
      }
      set portletid $portlet_id
}